curl --request GET \
--url https://api.blujay.io/v1/chats \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blujay.io/v1/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.blujay.io/v1/chats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.blujay.io/v1/chats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.blujay.io/v1/chats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.blujay.io/v1/chats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "success",
"data": {
"data": [
{
"chat_id": "chat_abc123",
"type": "direct",
"display_name": "Ava Chen",
"participants": [
{
"type": "phone",
"address": "+15555550123",
"contact_id": "contact_abc123",
"display_name": "Ava Chen"
}
],
"phone_number_id": "phone_abc123",
"service": "iMessage",
"supports_typing_indicators": true,
"created_at": "2026-10-14T17:01:00.000Z",
"updated_at": "2026-10-14T17:06:12.000Z"
},
{
"chat_id": "chat_def456",
"type": "group",
"display_name": "Order 4821 support",
"participants": [
{
"type": "phone",
"handle": "+15555550123",
"address": "+15555550123",
"status": "active",
"joined_at": "2026-10-14T15:20:00.000Z",
"left_at": null,
"contact_id": "contact_abc123",
"display_name": "Ava Chen"
},
{
"type": "phone",
"handle": "+15555550124",
"address": "+15555550124",
"status": "active",
"joined_at": "2026-10-14T15:20:00.000Z",
"left_at": null,
"contact_id": "contact_def456",
"display_name": "Jordan Lee"
}
],
"supports_typing_indicators": true,
"phone_numbers": [
{
"phone_number_id": "phone_abc123",
"display_number": "+15555550100",
"label": "Support",
"status": "active",
"is_default": true,
"can_send": true,
"sendability_reasons": []
}
],
"created_at": "2026-10-14T15:20:00.000Z",
"updated_at": "2026-10-14T16:42:08.000Z"
}
],
"next_cursor": "AbC9xQ2nRk7vT1mZ",
"has_more": true,
"limit": 25
},
"trace_id": "trc_8f2a1c0e4b7d",
"timestamp": "2026-10-14T17:10:00.000Z"
}List chats
Returns the chats in your workspace, one page at a time. Pass next_cursor from the previous page as cursor to get the next page.
curl --request GET \
--url https://api.blujay.io/v1/chats \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blujay.io/v1/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.blujay.io/v1/chats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.blujay.io/v1/chats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.blujay.io/v1/chats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.blujay.io/v1/chats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "success",
"data": {
"data": [
{
"chat_id": "chat_abc123",
"type": "direct",
"display_name": "Ava Chen",
"participants": [
{
"type": "phone",
"address": "+15555550123",
"contact_id": "contact_abc123",
"display_name": "Ava Chen"
}
],
"phone_number_id": "phone_abc123",
"service": "iMessage",
"supports_typing_indicators": true,
"created_at": "2026-10-14T17:01:00.000Z",
"updated_at": "2026-10-14T17:06:12.000Z"
},
{
"chat_id": "chat_def456",
"type": "group",
"display_name": "Order 4821 support",
"participants": [
{
"type": "phone",
"handle": "+15555550123",
"address": "+15555550123",
"status": "active",
"joined_at": "2026-10-14T15:20:00.000Z",
"left_at": null,
"contact_id": "contact_abc123",
"display_name": "Ava Chen"
},
{
"type": "phone",
"handle": "+15555550124",
"address": "+15555550124",
"status": "active",
"joined_at": "2026-10-14T15:20:00.000Z",
"left_at": null,
"contact_id": "contact_def456",
"display_name": "Jordan Lee"
}
],
"supports_typing_indicators": true,
"phone_numbers": [
{
"phone_number_id": "phone_abc123",
"display_number": "+15555550100",
"label": "Support",
"status": "active",
"is_default": true,
"can_send": true,
"sendability_reasons": []
}
],
"created_at": "2026-10-14T15:20:00.000Z",
"updated_at": "2026-10-14T16:42:08.000Z"
}
],
"next_cursor": "AbC9xQ2nRk7vT1mZ",
"has_more": true,
"limit": 25
},
"trace_id": "trc_8f2a1c0e4b7d",
"timestamp": "2026-10-14T17:10:00.000Z"
}Authorizations
Your workspace API key, sent as Authorization: Bearer blu_.... Workspace admins can find it in the Blujay app under API.
An API key has full access to your workspace and works on every endpoint. There is no test mode: every key sends real messages and changes real data, so keep it secret and use it only from your server.
Each API key can make 600 read requests and 120 write requests per minute, plus 60 attachment requests per minute. Over a limit you get 429 RATE_LIMIT_EXCEEDED with Retry-After.
Query Parameters
Maximum number of items to return.
1 <= x <= 100The next_cursor value from the previous page. Leave it out to get the first page.
Response
A page of chats.
Wraps every successful response. The result is in data.
success ^trc_[A-Za-z0-9_-]+$"trc_8f2a1c0e4b7d"
"2026-10-14T17:01:00.000Z"
Show child attributes
Show child attributes
Your X-Request-ID header value, echoed back when you send one. Not included on the send responses (POST /v1/chats, POST /v1/chats/{chat_id}/messages, POST /v1/messages/{message_id}/retry); keep your own mapping from your request ID to the returned message ID there.